.Sh BIND Commands
.Np COMMANDS
Following a list with all commands that you can use to create a binding.
To setup a binding in your .xemprc, add a line like this: "Bind <key>
to command [(<options>)].
.in 0
.KS
.TS
box,center;
lw(25)|l.
\fBStatus	Meaning\fP
_
OK	No restrictions
OWNED	You should own the sector
OCC	The sector should be occupied
ENEM_NEXT	You should have an enemy as neighbour
SHIP	You should have a current ship (ship census)
SHIPS	There should be a ship in this sector
ENEM_SHIP	There should be an enemy ship in this sector
PLANE	You should have planes in this sector
.TE
.KE
.KS
.TS
box,center;
c s
lw(30)|l.
\fBConnections\fP
\fBCommand	Status\fP
_
connections	OK
reconnect	OK
disconnect	OK
.TE
.KE
.KS
.TS
box,center;
c s
lw(30)|l.
\fBCommunications\fP
\fBCommand	Status\fP
_
announce	OK
read [([BATOPR])]	OK
news	OK
headlines	OK
reread [([BATOPR])]	OK
send [(country)]	OK
.TE
.KE
.KS
.TS
box,center;
cw(30) s
l|l.
\fBSector Commands\fP
\fBCommand	Status\fP
_
attack	ENEM_NEXT
convert [(quant)]	OCC
designate [(newdesignation)]	OWNED
deliver	OWNED
demobilize [(quant, [yn])]	OWNED
explore	OWNED
enlist [(quant)]	OWNED
move [(item, quant)]	OWNED
shoot [(quant, item)]	OWNED
.TE
.KE
.KS
.TS
box,center;
cw(30) s
l|l.
\fBShip Commands\fP
\fBCommand	Status\fP
_
mine [(quant)]	SHIP
tend [(item, quant)]	SHIP
build ship	OWNED
assault	OK
board	ENEM_SHIP
navigate [(ships)]	SHIPS
.TE
.KE
.KS
.TS
box,center;
cw(30) s
l|l.
\fBPlane Commands\fP
\fBCommand	Status\fP
_
bomb [([spn])]	PLANE
drop off [(item)]	PLANE
fly [(item)]	PLANE
.TE
.KE
.KS
.TS
box,center;
cw(30) s
l|l.
\fBUtilities\fP
\fBCommand	Status\fP
_
distribute utility	OWNED
ferry utility	OK
explore util	OK
.TE
.KE
.KS
.TS
box,center;
cw(30) s
l|l.
\fBMulti commands\fP
\fBCommand	Status\fP
_
run program	OK
multi enlist	OK
multi demob	OK
multi convert	OK
.TE
.KE
.Lt
.KS
.TS
box,center;
cw(30) s
l|l.
\fBMiscellaneous\fP
\fBCommand	Status\fP
_
again	OK
bind key	OK
census mode (mode)	OK
center map	OK
check	OK
goto	OK
highlight	OK
page command	OK
quit	OK
store data	OK
info	OK
global commands	OK
change display	OK
fast quit	OK
nation	OK
.TE
.KE
.Te
.Np ARGUMENTS
Next arguments can be given to the "census mode" binding:
.br
.sp
.Sr
\(bu normal
.br
\(bu ship
.br
\(bu fleet
.br
\(bu plane
.br
\(bu wing
.br
\(bu nuke
.br
\(bu ferry
.br
\(bu info (tcemp only)
.Sl
