.Sh TCEMP Compiling
.Np GOOD\\0LUCK
As I have only one system to test
\fItcemp\fP
, don't expect it compile without
any trouble.
If you succeed, please let me know what you had to change to get it
working (please tell me also if there were no problems at all).
I'm also always willing to try to help you out with any problem you
might have (regarding
\fItcemp\fP
).
.s1
.nf
reply:	send to hjvissc@cs.vu.nl
.br
or:	make reply
.fi
.Np SETUP
You will have to compile 'setup' to create a makefile for \fItcemp\fP.
The setup program is located in the src directory:
.nf
.s1
$ cd src/setup
.br
$ make
.sp 1
.fi
You'll be asked two questions:
.s1
.Sr
\(bu Do you have getopt?
.br
\(bu Do you have vsprintf?
.Sl
.s1
Most of the systems do have these functions defined, but if setup doesn't
compile because one of those two is missing, enter:
.s1
.nf
$ make cleanup
.br
$ make
.s1
.fi
And enter 'no' at the appropiate question(s).
.s1
Now copies of my system are compiled, so probably it still
won't work. I can't help you now, you have to find those functions
yourself.
.br
Otherwise, change to the xemp directory and run setup:
.s1
.nf
$ cd ../..
.br
$ setup -vpt
.br
.fi
.KS
.TS
box,center;
c|s
c|l.
\fBOptions to setup:\fP
_
-v	Verbose, output what you're doing
-p	Do not depend on proto.h
-i	Check for existing makefile
-t	Do not ask questions about a X-environment. (tcemp only)
-d	Use default values (defined in default.c)
-f <file>	Generate <file> instead of makefile
.TE
.KE
Setup will ask you several questions. To take the default (answer between
square brackets), just type return. To enter nothing, type a dot.
.br
.ne 3
.sp 1
.Sr
\(bu Use which compiler
.Sr
.s1
Unless your C compiler is located else, just accept the default
value.
.Sl
.s1
\(bu Are you working under BSD?
.Sr
.s1
Setup will try to check if you're working under BSD by trying
to access the file
"/usr/include/sys/termios.h". (access ok -> not bsd).
Taking the default will work most of the time. (Unless your include
directory is located elsewhere, then you'll have to check this
yourself).
.Sl
.s1
\(bu Flags to pass to the C compiler
.Sr
.s1
Don't use -O4 here, this generates even more core dumps (unless
of course you have a better compiler as I do).
.s1
If you're using gcc, you should add the "-fwritable-strings" option.
.s1
.Sl
\(bu Flags to pass to the loader
.Sr
.s1
The option "-s" strips the executable (reduces its size)
.Sl
.Sl
.s1
The next page asks question about the empire game
.Sr
.s1
\(bu World size
.sp 1
\(bu Default empire host
.sp 1
\(bu Default empire port
.Sr
.s1
These questions can be skipped if you don't know the answers right
now. You can always set them: 1) In your environment, 2) In your .xemprc,
and 3) On the command line.
.Sl
.s1
\(bu Where will xemp-info be located?
.Sr
.s1
If setup can't access the directory, you'll be given a warning.
.Sl
.s1
\(bu Do you have empire-info on line?
.Sr
.s1
If you have a local empire server, or just the info on line, 
xemp doesn't need to get the info from the remote server, which
will save you a lot of time.
.Sl
.s1
\(bu Use as ctags
.Sr
.s1
Always ctags.
.Sl
.s1
\(bu Which ftp directory
.Sr
.s1
If you want to put xemp on ftp on your machine, you should 
enter the directory where to put the tar-file.
.Sl
.Sl
.s1
After all these questions, setup will generate the makefile.
.Np COMPILING
Now it's time to compile xemp. First we must create the correct 
proto.h file, so enter:
.sp 1
.nf
$ make tc_proto.h
.fi
.s1
proto.c (in src) will now be compiled, and proto.h will be made.
.sp 1
$ make \fItcemp\fP
.s1
Get yourself a cup of coffee. This may take a while. If you have any
problems, I could try to help you out, but I'd prefer if you'd take a
look at the code yourself and send me a bug fix instead of a question.
.br
If everything went ok, tcemp will be ready for use.
.Np TRYCAP
To create the "trycap" utility, enter:
.br
.ne 2
.sp 1
.nf
$ make trycap
.fi
.s1
You need this to find the correct capabilities for each terminal you
want to play \fItcemp\fP on.
.Sa termc/startup termc/xemprc
